org.codehaus.groovy.tools

## Class Compiler

- java.lang.Object
- - org.codehaus.groovy.tools.Compiler

-     public class Compiler
      extends java.lang.Object

  A convenience front end for getting standard compilations done. All compile() routines generate classes to the filesystem.
  Author:
    Chris Poirier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Compiler` | `DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Compiler()` Initializes the Compiler with default configuration.
    `Compiler(CompilerConfiguration configuration)` Initializes the Compiler with the specified configuration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compile(java.io.File file)` Compiles a single File.
    `void` | `compile(java.io.File[] files)` Compiles a series of Files.
    `void` | `compile(java.lang.String[] files)` Compiles a series of Files from file names.
    `void` | `compile(java.lang.String name, java.lang.String code)` Compiles a string of code.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final Compiler DEFAULT

  - ### Constructor Detail

    - #### Compiler

          public Compiler()

      Initializes the Compiler with default configuration.

    - #### Compiler

          public Compiler(CompilerConfiguration configuration)

      Initializes the Compiler with the specified configuration.

  - ### Method Detail

    - #### compile

          public void compile(java.io.File file)
                       throws CompilationFailedException

      Compiles a single File.
      Throws:
        `CompilationFailedException`

    - #### compile

          public void compile(java.io.File[] files)
                       throws CompilationFailedException

      Compiles a series of Files.
      Throws:
        `CompilationFailedException`

    - #### compile

          public void compile(java.lang.String[] files)
                       throws CompilationFailedException

      Compiles a series of Files from file names.
      Throws:
        `CompilationFailedException`

    - #### compile

          public void compile(java.lang.String name,
                              java.lang.String code)
                       throws CompilationFailedException

      Compiles a string of code.
      Throws:
        `CompilationFailedException`